package com.ruoyi.system.service;

import com.ruoyi.system.entity.CommonEntity;
import com.ruoyi.system.entity.DragTable;
import com.ruoyi.system.entity.vo.DragTableVo;

import java.util.List;

/**
 * 动态表格Service接口
 * 
 * @author ruoyi
 * @date 2023-07-31
 */
public interface IDragTableService 
{
    /**
     * 查询动态表格
     * 
     * @param tId 动态表格主键
     * @return 动态表格
     */
    public DragTable selectDragTableByTId(Long tId);

    /**
     * 查询动态表格列表
     * 
     * @param dragTable 动态表格
     * @return 动态表格集合
     */
    public List<DragTable> selectDragTableList(DragTable dragTable);

    /**
     * 新增动态表格
     * 
     * @param dragTable 动态表格
     * @return 结果
     */
    public int insertDragTable(DragTable dragTable);

//    /**
//     * 修改动态表格
//     *
//     * @param dragTable 动态表格
//     * @return 结果
//     */
//    public int updateDragTable(DragTable dragTable);

    /**
     * 批量删除动态表格
     * 
     * @param tIds 需要删除的动态表格主键集合
     * @return 结果
     */
    public int deleteDragTableByTIds(List<Long> tIds);

    /**
     * 删除动态表格信息
     * 
     * @param tId 动态表格主键
     * @return 结果
     */
    public int deleteDragTableByTId(Long tId);

    /**
     * 查询动态表格
     *
     * @param sqlKey 唯一标识
     * @return 动态表格
     */
    CommonEntity dragTableInfo(String sqlKey);

    /**
     * 新增动态表格
     */
    void addDragTable(DragTableVo dragTableVo);

    /**
     * 获取动态表格详情详情
     */
    DragTableVo selectDragTableVoByTId(Long tId);

    /**
     * 修改动态表格
     */
    void updateDragTable(DragTableVo dragTableVo);

    /**
     * 删除动态表格信息
     */
    void deleteDragTable(List<Long> tIds,List<String> sqlKeys);
}
